mesos-reviews mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joseph Wu <jos...@mesosphere.io>
Subject Re: Review Request 69708: Fixed gRPC CMake build issue on Ubuntu 14.04.
Date Mon, 14 Jan 2019 19:32:09 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/69708/#review211960
-----------------------------------------------------------




3rdparty/grpc-1.10.0.patch
Lines 22-29 (patched)
<https://reviews.apache.org/r/69708/#comment297539>

    We (Mesos) does not have a fixed requirement for SSL versions, so the same `find_package(OpenSSL)`
could give you multiple results (usually from 0.9.8 and later).
    
    Since this is a SSL 1.0.1 issue only, perhaps the logic should be:
    ```
    find_package(OpenSSL REQUIRED)
    
    if (OPENSSL_VERSION VERSION_EQUAL "1.0.1")
      add_definitions(-DTSI_OPENSSL_ALPN_SUPPORT=0)
    endif ()
    ```
    
    `<package>_VERSION` is one of many variables defined after a successful `find_package`.
    
    The `VERSION_EQUAL` comparison will work even if the "tweak" component of the version
does not match. (i.e. if `OPENSSL_VERSION` is "1.0.1s")  This is because CMake only performs
integer comparisons when looking at versions, but OpenSSL denotes tweaks via letters (and
these are therefore ignored by CMake).


- Joseph Wu


On Jan. 11, 2019, 4:27 p.m., Chun-Hung Hsiao wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/69708/
> -----------------------------------------------------------
> 
> (Updated Jan. 11, 2019, 4:27 p.m.)
> 
> 
> Review request for mesos, Benjamin Bannier, BenjaminVW BenjaminVW, Gastón Kleiman, Joseph
Wu, Till Toenshoff, and Vinod Kone.
> 
> 
> Bugs: MESOS-9519
>     https://issues.apache.org/jira/browse/MESOS-9519
> 
> 
> Repository: mesos
> 
> 
> Description
> -------
> 
> This patch cherry-picks an unofficial commit to disable ALPN compilation
> if only OpenSSL 1.0.1 is on the system.
> 
> 
> Diffs
> -----
> 
>   3rdparty/CMakeLists.txt 703808d063e4bba58f647b5d48b78724003bcc4e 
>   3rdparty/grpc-1.10.0.patch 655f00387a6b308b653b23053419ec05c8b22144 
>   3rdparty/grpc.md e06843c8b6038eb9fb809241686fd611d1daedc8 
> 
> 
> Diff: https://reviews.apache.org/r/69708/diff/3/
> 
> 
> Testing
> -------
> 
> OS=ubuntu:14.04 BUILDTOOL=cmake COMPILER=gcc CONFIGURATION='--verbose --enable-libevent
--enable-ssl' ENVIRONMENT='GLOG_v=1 MESOS_VERBOSE=1' support/docker-build.sh
> OS=ubuntu:16.04 BUILDTOOL=cmake COMPILER=gcc CONFIGURATION='--verbose --enable-libevent
--enable-ssl' ENVIRONMENT='GLOG_v=1 MESOS_VERBOSE=1' support/docker-build.sh (to make sure
that it works with OpenSSL 1.0.2. Also manually inspected that ALPN symbols are linked).
> Manually tested on Debian 9 to ensure that the CMake rule can find its OpenSSL 1.1.0.
> 
> NOTE: The patch itself does not depend on r/69725, but the ubuntu:16.04 test above does.
> 
> 
> Thanks,
> 
> Chun-Hung Hsiao
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message